/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Patrick Boenzli
   co-programmer: ...
*/

#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY

#include "movie_entity.h"

#include "load_param.h"
#include "factory.h"
#include "static_model.h"

using namespace std;


CREATE_FACTORY(ModelEntity, CL_MODEL_ENTITY);



/**
 *  initializes a skybox from a XmlElement
*/
ModelEntity::ModelEntity(const TiXmlElement* root)
{
  this->setClassID(CL_MODEL_ENTITY, "ModelEntity");
  this->toList(OM_ENVIRON_NOTICK);

  if (root != NULL)
    this->loadParams(root);
}


/**
 *  default destructor
*/
ModelEntity::~ModelEntity()
{
}


